"use client";
import { visitParents as m } from "../../unist-util-visit-parents/lib/index.js";
import { CONTINUE as y, EXIT as E, SKIP as N } from "../../unist-util-visit-parents/lib/index.js";
function I(u, n, e, d) {
  let t, f, o;
  typeof n == "function" && typeof e != "function" ? (f = void 0, o = n, t = e) : (f = n, o = e, t = d), m(u, f, p, t);
  function p(c, l) {
    const i = l[l.length - 1], x = i ? i.children.indexOf(c) : void 0;
    return o(c, x, i);
  }
}
export {
  y as CONTINUE,
  E as EXIT,
  N as SKIP,
  I as visit
};
